/*-------------------------- Parallax Standard H_File ----------------------------
   
      H_File: utdlg.h

     Purpose: This file contains the window message definitions for
              the Eroica unit test program.


--------------------------------------------------------------------------------
          Copyright (c)1996 Parallax Software , All rights reserved.            
------------------------------------------------------------------------------*/

#define WM_INITSTUFF (WM_USER+400)  /* for initializing data */
#define WM_MYCOMMAND (WM_USER+401)  /* for status bar updating */

#define  IDM_EXIT                               101
#define  IDM_ABOUT                              102
#define  IDM_CLEAR                              103
#define  IDM_STARTUP                            104

#define  IDM_TESTSAVE                           201
#define  IDM_TESTDISPLAYLAYER                   202
#define  IDM_TESTTOOLSET                        203
#define  IDM_TESTMERGE                          204
#define  IDM_TESTLOAD                           205
#define  IDM_TESTDESKEW                         206

#define  IDM_GETNUMBERDOCWINS                   301
#define  IDM_GETNUMBERLAYERS                    302
#define  IDM_GETCURRENTDOCWIN                   303
#define  IDM_GETACTIVERASTER                    304
#define  IDM_GETACTIVEEDIT                      305
#define  IDM_GETDOCDIRTYSTATUS                  306
#define  IDM_GETLAYERDIRTYSTATUS                307
#define  IDM_GETLAYERDISPLAYSTATUS              308
#define  IDM_GETLAYERFORMATS                    309
#define  IDM_GETLAYERFORMATLIST                 310
#define  IDM_GETLAYERIDS                        311
#define  IDM_GETWINDOWTITLE                     312
#define  IDM_GETDOCTITLE                        313
#define  IDM_GETLAYERTITLES                     314
#define  IDM_GETTOOL                            315

#define  IDM_CLOSEALLDOCWIN                     401
#define  IDM_CLOSEDOCWIN                        402
#define  IDM_ENDFRAME                           403
#define  IDM_TERMINATE                          404
#define  IDM_REFRESH                            405
#define  IDM_NEXTDOCWIN                         406
#define  IDM_FOCUSONFRAME                       407
#define  IDM_ZOOMIN                             410
#define  IDM_ZOOMOUT                            411
#define  IDM_ZOOMFIT                            412
#define  IDM_ZOOMVFIT                           413
#define  IDM_ZOOMHFIT                           414
#define  IDM_ZOOMACTUAL                         415
#define  IDM_ZOOMONETOONE                       416
#define  IDM_SHOWMIN                            420
#define  IDM_SHOWMAX                            421
#define  IDM_SHOWRESTORE                        422
#define  IDM_SHOWHIDE                           423
#define  IDM_SHOWUNHIDE                         424
#define  IDM_SETTOOL_NONE                       430
#define  IDM_SETTOOL_CUT                        431
#define  IDM_SETTOOL_COPY                       432
#define  IDM_SETTOOL_PASTE                      433
#define  IDM_SETTOOL_LINE                       434
#define  IDM_SETTOOL_BOX                        435
#define  IDM_SETTOOL_CIRCLE                     436
#define  IDM_SETTOOL_ELLIPSE                    437
#define  IDM_SETTOOL_ARROW                      438
#define  IDM_SETTOOL_SKETCH                     439
#define  IDM_SETTOOL_POLYLINE                   440
#define  IDM_SETTOOL_POLYGON                    441
#define  IDM_SETTOOL_TEXT                       442
#define  IDM_SETTOOL_ANNOTATION                 443
#define  IDM_SETTOOL_DIMENSION                  444
#define  IDM_SETTOOL_SYMBOL                     445
#define  IDM_SETTOOL_HOTSPOT                    446
#define  IDM_SETTOOL_RUBOUT                     447
#define  IDM_SETTOOL_ERASER                     448
#define  IDM_SETTOOL_SELECT                     449
#define  IDM_SETTOOL_MOVERESIZE                 450
#define  IDM_SETTOOL_ROTATE                     451
#define  IDM_SETTOOL_CHANGETEXT                 452
#define  IDM_SETTOOL_ARC                        453
#define  IDM_ARRANGETILE                        460
#define  IDM_ARRANGECASCADE                     461
#define  IDM_ARRANGEHSTRIP                      462
#define  IDM_ARRANGEVSTRIP                      463
#define  IDM_PRINTDOCWIN                        464

#define  IDM_HOTSPOT_NOTIFY                     500
#define  IDM_HOTSPOT_UNNOTIFY                   501
#define  IDM_API_NOTIFY                         502
#define  IDM_API_UNNOTIFY                       503
#define  IDM_HOTSPOT_NOTIFY_PLACEMENT           504
#define  IDM_HOTSPOT_UNNOTIFY_PLACEMENT         505
#define  IDM_HOTSPOT_NOTIFY_HIGHLIGHT           506
#define  IDM_HOTSPOT_UNNOTIFY_HIGHLIGHT         507

#define  IDM_DPITO200x100                       600

#define  IDM_DESPECKLE30                        700
#define  IDM_DESKEW1                            701
#define  IDM_CROP700                            702
#define  IDM_MERGE                              703

BOOL FAR PASCAL About(HWND, unsigned, WORD, LONG);
#define IDM_INPUTTEXT                           100

/* UTDLG.H */
/* end of file */

